package mq

const (
	TaskAdd = iota + 1
	ModelIssue
	TaskExecute
	TaskResponse
	ModelIssueRepeater
	ModelIssueResponse
	TaskExecuteLog
)

type InstructionReq struct {
	Command int         `json:"command"`
	Payload interface{} `json:"payload"`
}

type TaskResponseBody struct {
	Code       int    `json:"code"`
	TaskId     int64  `json:"taskId"`
	TaskCode   string `json:"taskCode"`
	NodeId     int64  `json:"nodeId"`
	ModelId    int64  `json:"modelId"`
	FileId     int64  `json:"fileId"`
	SrcPath    string `json:"srcPath"`
	DatasetArr string `json:"datasetArr"`
	StartTime  int64  `json:"startTime"`
	FinishTime int64  `json:"finishTime"`
	Msg        string `json:"msg"`
	Body       string `json:"body"`
}

type TaskExecuteLogStruct struct {
	TaskId   int64       `json:"taskId"`
	TaskCode string      `json:"taskCode"`
	NodeGuid string      `json:"nodeGuid"`
	Payload  interface{} `json:"payload"`
}
